Subject: bug#56345: 29.0.50; [PATCH] Add column hiding to tabulated-list

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 05 Sep 2022 21:31:53 +0200

Thuna <[email-masked]> writes:

> I apparently had a couple typos that I missed, the patch 0003 is to fix
> that.
>
> Also, I figured it would be convenient to have a way to specify the
> column to hide by name, so I created a function named
> `tabulated-list-hide-column', which `tabulated-list-hide-current-column'
> now calls.  I didn't test it but the code is directly ripped from the
> original function so I don't think there will be any problems.  That is
> in the patch 0004.

It's a bit difficult to read this patch series.  Could you instead
submit one single patch, instead of a series of patches that fix
problems in previous versions of the patches?

Also, this change is so large that a copyright assignment to the FSF is
needed.  Would you be willing to sign such paperwork?